Distribution:	CCux
Packager:  	Karsten Brockmann <brockmka@rz.fh-augsburg.de>

Summary:   	libdv - the Quasar DV Codec.
Name:      	libdv
Version:   	0.104
Release:   	4
Provides:	%{name}
License: 	GNU/LGPL
URL:		http://libdv.sourceforge.net/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libglib-devel 
BuildRequires:  glibc-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXv-devel
BuildRequires:  gtk+-devel
BuildRequires:  popt


%description
The Quasar DV Codec (libdv) is a software decoder for DV format video,
as defined by the IEC 61834 and SMPTE 314M standards.
DV is the encoding format used by consumer-grade digital camcorders.

%package devel
Summary:        Development files for %{name}
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using %{name}

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--sysconfdir=%_sysconfdir \
--localstatedir=%_localstatedir \
--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/pkgconfig
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.104-4
- compiled against X.org 7.1.1
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.104-3
- Moved necessary files to main package
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.104-2
- tweaked specfile, moved more files to devel,
- added Requires and BuildRequires
* Tue Sep 27 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.104-1
- rebuilt SRPM, Version Update
